wpanctl(1)

NAME
wpanctl - command line interfase for wpantund

SYNOPSIS
wpanctl [OPTIONS] <COMMANDS> [args]

DESCRIPTION
wpanctl is itself a command-line interface. You can specify an individual single command directly on the wpanctl command line, or run wpanctl without any arguments to enter the command-line interface shell.

OPTIONS

-h, --help
    Print help.

-v, --version
    Print version.

-f FILE
    Read commands from a file.

-I, --interface INTERFACE
    Set interface to use (e.g. wpan0).

-i, --ignore-mismatch
    Ignore driver version mismatch.

COMMANDS

begin-low-power [args]
    Enter low-power mode.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

begin-net-wake [args]
    Initiate a network wakeup.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

cd  Change current interface (command mode).

config-gateway [args] <PREFIX>
    Configure gateway.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

      -p, --preferred-lifetime
      Set the PREFERRED_LIFETIME.

      -v, --valid-lifetime
      Set the VALID_LIFETIME.

      -d, --default
      Indicates that we can be a default route.

form [args] [NETWORK_NAME]
    Form a new WPAN.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

      -u, --ula-prefix [ULA_PREFIX]
      Specify a specific ULA prefix.

      -c, --channel [CHANNEL]
      Specify a specific radio channel.

getprop, get [args] <property-name>
    Get a property.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

      -a, --all
      Print all supported properties.

      -v, --value-only
      Print only the value of the property.

help
    Display help.

host-did-wake [args]
    Perform any host-wakeup related tasks.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

join [args] [NETWORK_NAME]
    Join a WPAN.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

      -T, --type [NODE_TYPE]
      Join as a specific node type.

      -p, --panid [PAN_ID]
      Specify a specific PAN ID.

      -x, --xpanid [Extended_PAN_ID]
      Specify a specific extended PAN ID.

      -c, --channel [CHANNEL]
      Specify a specific radio channel.

leave [args]
    Abandon the currently connected WPAN.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

list [args]
    List available interfaces.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

permit-join [args] <PERMIT_JOIN_DURATION> [COMMISSIONING_PORT]
    Permit other devices to join the current network.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

      -n, --network-wide
      Permit joining network-wide.

      -c, --tcp
      Permit only TCP for commissioning traffic.

      -d, --udp
      Permit only UDP for commissioning traffic.

ping [args]
    Ping the NCP.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

poll [args]
    Poll the parent immediately to see if there is IP traffic.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

quit
    Terminate command line mode.

reset [args]
    Reset the NCP.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

resume [args]
    Resume a previously connected network.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

scan [args]
    Scan for nearby networks.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

      -c, --channel [CHANNEL]
      Specify a specific radio channel.

setprop, set get [args] <property-name> <property-value>
    Set a property.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

      -d, --data
      Value is binary data (in hex).

      -s, --string
      Value is a string.

      -i, --integer
      Value is an integer.

      -v, --value
      Useful when the value starts with a '-'.

status [args]
    Retrieve the status of the interface.

      -h, --help
      Print join help.

      -t, --timeout [TIMEOUT]
      Set timeout period.

EXAMPLES

$ sudo wpanctl
    Enter wpanctl command line interface that starts with prompt wpanctl:[Iinterface_name]>

$ sudo wpanctl -I <interface-name>
    Enter wpanctl command line and connect to specified interface, e.g. $ sudo wpanctl -I wpan0 results with the following wpanctl shell prompt: wpanctl:wpan0>

$ sudo wpanctl scan
    Sends scan command to wpantund. The wpantund output is printed in the shell.

$ sudo wpanctl scan -c25-26,14,18-16
    Requests wpantund to scan for networks on channels 14,16,17,18,25,26.

DEFINITIONS

CHANNEL
    Integer in range [11-26] indicating one of the IEEE 802.15.4 channels.

COMMISSIONING_PORT
    ???

EXTENDED_PAN_ID
    ???

NCP Network Control Processor.

NETWORK_NAME
    A string identifier of a network, e.g. "HomeNetwork".

NODE_TYPE
    WPAN type as one of the following:
      - 0 (unknown): will starts as 2
      - 1 (coordinator)
      - 2 (router)
      - 3 (end | end-device)
      - 4 (sleepy | sleepy-end-device)
      - 5 (mobile | mobile-end-device)
      - 6 (lurker)

PAN_ID
    ???

PERMIT_JOIN_DURATION
    ???unit?? unit: seconds (sec)

PREFERRED_LIFETIME
    ??? unit: seconds (sec) (Default: infinite)

TIMEOUT
    ??? unit: milliseconds (msec)

ULA_PREFIX
    A unique local address (ULA) in the block fc00::/7.

VALID_LIFETIME
    ??? (Default: infinite)

SEE ALSO
wpantund(1)

BUGS
Bug tracker:

    http://...